unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, NxColumns6, NxGridView6, NxControls6, NxCustomGrid6,
  NxVirtualGrid6, NxGrid6;

type
  TForm1 = class(TForm)
    NextGrid61: TNextGrid6;
    NxReportGridView61: TNxReportGridView6;
    NxTextColumn61: TNxTextColumn6;
    NxNumberColumn61: TNxNumberColumn6;
    NxCheckBoxColumn61: TNxCheckBoxColumn6;
    NxNumberColumn62: TNxNumberColumn6;
    NxCheckBoxColumn62: TNxCheckBoxColumn6;
    NxTextColumn62: TNxTextColumn6;
    NxNumberColumn63: TNxNumberColumn6;
    NxCheckBoxColumn63: TNxCheckBoxColumn6;
    NxNumberColumn64: TNxNumberColumn6;
    Button1: TButton;
    CheckBox1: TCheckBox;
    ListBox1: TListBox;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure NextGrid61AfterSort(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  NextGrid61.ActiveView.FixedColCount := 2;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  NextGrid61.AddRow(10);
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  NextGrid61.MultiSort := TCheckBox(Sender).Checked;
end;

procedure TForm1.NextGrid61AfterSort(Sender: TObject);
var
  i: Integer;
begin
  ListBox1.Clear;
  for i := 0 to NextGrid61.Columns.MultiSortedCount - 1 do
  begin
    ListBox1.Items.Add(NextGrid61.Columns.MultiSortedColumn[i].Header.Caption);
  end;
end;

end.
